*** 3.2.0.10 *** 28 MAR 2017

__fsw__Changeset: 360 (cae68az260aa2)

AJE filter implemented in AVGV

History

#1 - 28/03/2017 08:16 AM - paul leroy
- File Screenshot from 2017-03-28 08-09-39.png added

Petit test avec injection de différents fréquences sur V dans I'ordre suivant: 100mHz 1Hz 10mHz 100mHz 500mHz, en restant en mode STANDBY.
Saurez-vous trouver les différentes portions sur la capture des V_HK jointe?

#2 - 28/03/2017 08:30 AM - thomas chust

- Assignee set to paul leroy

Joli joli ! Du grand art ! smile.png
Ta figure est effectivement convainquante. Bravo a toi et Alexis.

Deux questions:

- As-tu toujours besoins de vérifier les changements (au moins 1 composante sur les 3 ...) ?

- le bug concernant les transitions entre modes, en particulier le non calcul en STANDBY et et les pics de valeurs juste aprés une transition, est
corrigé ?

#3 - 28/03/2017 08:40 AM - paul leroy

- Assignee changed from paul leroy to thomas chust

Je vérifie les changements (au moins un parmi trois), je n'ai pas modifié ce point.

Il n'y a pas de bug a la transition de mode, c'est un reset LFR effectué lors de certaines transitions (voir #955). Vous devez statuer sur la fagon de
gérer ¢a (gel de la valeur du HK pendant un certain temps a définir).

Je n'ai pas constaté de non calcul en STANDBY (j'ai refait des tests ce matin), donc affaire a suivre.
#4 - 28/03/2017 09:44 AM - bruno katra

- Status changed from New to In Progress

- Assignee changed from thomas chust to bruno katra

Super!
Je suis en train de relancer les tests. Je vous tiens au courant.

#5 - 28/03/2017 10:54 AM - bruno katra
- Assignee changed from bruno katra to paul leroy

- Priority changed from Normal to Urgent
https://hephaistos.lpp.polytechnique.fr/redmine/issues/955

Le comportement que tu observes n'ets pas reproductible chez nous (ouverture d'une issue dédiée).

Petite question sur ta figure : tes oscillations font +/-300 cela parait trés faible car le scale factor pour les mini-LFR esr ~5800.

#6 - 28/03/2017 01:37 PM - Alexis Jeandet
- File LFR_Pot_Filter.html added

J'ai pas assez testé le filtre, il y avait des débordements. Par contre la version qui marche en copie tronque pas mal les données.

#7 - 28/03/2017 02:07 PM - bruno katra

Alexis Jeandet wrote:

J'ai pas assez testé le filtre, il y avait des débordements. Par contre la version qui marche en copie tronque pas mal les données.

Ok mais cependant n'est ce pas un peu étrange que l'on n'arrive pas a reproduire la méme chose que Paul avec le méme FSW et le méme VHDL ?

#8 - 28/03/2017 02:25 PM - paul leroy

- Assignee changed from paul leroy to Alexis Jeandet

#9 - 28/03/2017 04:17 PM - bruno katra

- Status changed from In Progress to Closed
